皇上,还记得我吗?我就是1999年那个Linux伊甸园啊-----24小时滚动更新开源资讯,全年无休!

Canonical 修复 Ubuntu 18.04 和 16.04 LTS 中的内核回归错误

近日,Canonical 宣布推出用于 Ubuntu 18.04 LTS 和 Ubuntu 16.04 LTS 的新版本内核(基于 Linux Kernel 4.15),此版本修复了一个回归错误,官方强烈建议用户尽快升级。

本月早些时候,Canonical 针对所有受支持的 Ubuntu 操作系统发布了主要的 Linux 内核安全更新,修复了至少 28 个安全漏洞。但在此次更新中,一个安全补丁引入了回归错误,导致 Ubuntu 18.04 LTS 和 Ubuntu 16.04 LTS 中的 Linux 4.15 版本内核在处理碎片数据包时崩溃。

Canonical 在安全公告中表示:“USN 4115-1 针对 Ubuntu 18.04 LTS 和 Ubuntu 16.04 LTS 修复了 Linux Kernel 4.15 中的安全漏洞。不幸的是,作为更新的一部分,在某些情况下,在处理碎片数据包时引入了导致内核崩溃的回归错误。我们对给您带来的不便深表歉意。”

更新

Canonical 敦促所有使用 Linux Kernel 4.15 的 Ubuntu 18.04 LTS(Bionic Beaver)和 Ubuntu 16.04.6 LTS(Xenial Xerus)用户尽快更新他们的系统,并将内核分别升级至 linux-image 4.15.0-62 和 linux-image 4.15.0-62.69~16.04.1,以取代旧版本的 linux-image 4.15.0-60.67。

此外,用于 Amazon Web Services(AWS),Google Container Engine(GKE),Google Cloud Platform(GCP),Microsoft Azure Cloud,Amazon Web Services(AWS-HWE)和 Oracle Cloud 的系统,以及云环境和 Raspberry Pi 2 设备也进行了针对 Linux 4.15 内核的修复,因此请相应地进行更新。

如需更新系统,请按照 Canonical 提供的说明进行操作,网址为 https://wiki.ubuntu.com/Security/Upgrades

最后,确保在安装新版本内核后重新启动计算机以进行所有必要的更改。此外,还可能需要重新安装已安装的任何第三方内核模块。

转自 https://www.oschina.net/news/109826/canonical-fixes-linux-4-15-kernel-regression-in-ubuntu

分享到:更多 ()